using BingoBrain.Core;
using System.Collections.Generic;

namespace BingoBrain
{
    public class BingoCardModel : BaseModel
    {
        private List<int> weightLst = new();
        private int[] weights;

        #region 生命周期

        protected override void OnInit()
        {
        }

        protected override void OnDispose()
        {
        }

        protected override void OnReset()
        {
        }

        #endregion

        #region 读取数据

        protected override void OnReadData()
        {
            weightLst.Clear();
            var vo = GameHelper.GetConfig<FlopModel>().GetDataList();
            foreach (var item in vo)
            {
                weightLst.Add(item.weight);
            }

            weights = weightLst.ToArray();
        }

        #endregion
    }
}